## kf6-attica 6.20.0

=== debian/changelog ===
kf6-attica (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:07:26 +0100

=== debian/control ===
Source: kf6-attica
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/attica
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-attica
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-attica.git
Rules-Requires-Root: no

Package: libkf6attica-dev
Section: libdevel
Architecture: any
Depends: libkf6attica6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6attica-doc (= ${source:Version}),
Description: development files for libkf6attica6
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development header files.

Package: libkf6attica-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt library that implements the Open Collaboration Services API (documentation)
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6attica6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library that implements the Open Collaboration Services API
 Attica is a Qt library that implements the Open Collaboration Services
 API version 1.6.
 .
 It grants easy access to the services such as querying information about
 persons and contents.
 .
 This package is part of KDE Frameworks 6.

## kf6-attica 6.20.0+p24.04+vstable+git20251206.0156

=== debian/changelog ===
kf6-attica (6.20.0+p24.04+vstable+git20251206.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 01:56:28 +0000

kf6-attica (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:53 +1000

## kf6-attica 6.20.0+p24.04+vunstable+git20251122.0641

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.21.0") # handled by release scripts
project(Attica VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.20.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMGeneratePkgConfigFile)
include(ECMCheckOutboundLicense)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers) # Used to create CMake config files
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMGenerateQDoc)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(attica_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/attica_version.h")
ecm_setup_version(PROJECT
    VARIABLE_PREFIX ATTICA
    VERSION_HEADER "${attica_version_header}"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6AtticaConfigVersion.cmake"
    SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.8.0)

# Required Qt components to build this framework
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Network)

set(ATTICA_LIB_SONAME KF6Attica)

# Enable static build
option(ATTICA_STATIC_BUILD "Build a static library" Off)

ecm_set_disabled_deprecation_versions(
    QT 6.10
)

add_subdirectory(src)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Attica")

# Create the CMake Config files
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF6AtticaConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6AtticaConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KF6AtticaConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KF6AtticaConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF6AtticaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6AtticaTargets.cmake
        NAMESPACE KF6::)

install(FILES "${attica_version_header}"
        DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF}/Attica"
        COMPONENT Devel)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-attica (6.20.0+p24.04+vunstable+git20251122.0641-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 06:41:10 +0000

## kf6-attica 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-attica (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:48:48 +0000

kf6-attica (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:11:51 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-attica
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,21 +10,22 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
+               reuse,
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/attica
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-attica
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-attica.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-attica
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-attica
 Rules-Requires-Root: no
 
 Package: libkf6attica-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6attica6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6attica-doc (= ${source:Version}),
 Description: development files for libkf6attica6
@@ -56,8 +58,7 @@
 Package: libkf6attica6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.6.

## kf6-attica 6.21.0+p24.04+vstable+git20251207.0747

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(Attica VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-attica (6.21.0+p24.04+vstable+git20251207.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 07:47:20 +0000

kf6-attica (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:14:10 +1000

## kf6-attica 6.21.0+p24.04+vstable+git20251224.0607

=== debian/changelog ===
kf6-attica (6.21.0+p24.04+vstable+git20251224.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:07:17 +0000

## kf6-attica 6.21.0+p24.04+vstable+git20260103.0141

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(Attica VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -47,7 +47,7 @@
 option(ATTICA_STATIC_BUILD "Build a static library" Off)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
 )
 
 add_subdirectory(src)

## kf6-attica 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 project(Attica VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-attica (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-tools-dev (>= 6.8.0~),

## kf6-attica 6.22.0+p24.04+vstable+git20260106.0926

=== debian/changelog ===
kf6-attica (6.22.0+p24.04+vstable+git20260106.0926-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:26:39 +0000

kf6-attica (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:45:50 +1000

## kf6-attica 6.22.0+p24.04+vstable+git20260111.0041

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 project(Attica VERSION ${KF_VERSION})
 
 # ECM setup

=== debian/changelog ===
kf6-attica (6.22.0+p24.04+vstable+git20260111.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 00:41:44 +0000

## kf6-attica 6.22.0+p24.04+vunstable+git20260209.0314

=== debian/changelog ===
kf6-attica (6.22.0+p24.04+vunstable+git20260209.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:14:48 +0000

## kf6-attica 6.23.0

=== debian/changelog ===
kf6-attica (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,27 @@
 Source: kf6-attica
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
-               reuse,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/attica
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-attica
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-attica
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-attica
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-attica.git
 
 Package: libkf6attica-dev
 Section: libdevel
 Architecture: any
 Depends: libkf6attica6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6attica-doc (= ${source:Version}),
 Description: development files for libkf6attica6
@@ -58,7 +54,8 @@
 Package: libkf6attica6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.6.
